config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

preserve_perms etc/rc.d/rc.sqlrelay.new
preserve_perms etc/rc.d/rc.sqlrcachemanager.new
config etc/sqlrelay/sqlrelay.xsd.new
config etc/php.d/pdo_sqlrelay.ini.new
config etc/php.d/sql_relay.ini.new
( cd usr/lib64 ; rm -rf libmysql41sqlrelay.so.4 )
( cd usr/lib64 ; ln -sf libmysql41sqlrelay.so.4.0.0 libmysql41sqlrelay.so.4 )
( cd usr/lib64 ; rm -rf libsqlrutil.so )
( cd usr/lib64 ; ln -sf libsqlrutil.so.5.0.0 libsqlrutil.so )
( cd usr/lib64 ; rm -rf libsqlrclient.so.4 )
( cd usr/lib64 ; ln -sf libsqlrclient.so.4.0.0 libsqlrclient.so.4 )
( cd usr/lib64 ; rm -rf libsqlrodbc.so )
( cd usr/lib64 ; ln -sf libsqlrodbc.so.4.0.0 libsqlrodbc.so )
( cd usr/lib64 ; rm -rf libsqlrclient.so )
( cd usr/lib64 ; ln -sf libsqlrclient.so.4.0.0 libsqlrclient.so )
( cd usr/lib64 ; rm -rf libsqlrutil.so.5 )
( cd usr/lib64 ; ln -sf libsqlrutil.so.5.0.0 libsqlrutil.so.5 )
( cd usr/lib64 ; rm -rf libsqlrclientwrapper.so.4 )
( cd usr/lib64 ; ln -sf libsqlrclientwrapper.so.4.0.0 libsqlrclientwrapper.so.4 )
( cd usr/lib64 ; rm -rf libsqlrserver.so )
( cd usr/lib64 ; ln -sf libsqlrserver.so.5.0.0 libsqlrserver.so )
( cd usr/lib64 ; rm -rf libmysql3sqlrelay.so.4 )
( cd usr/lib64 ; ln -sf libmysql3sqlrelay.so.4.0.0 libmysql3sqlrelay.so.4 )
( cd usr/lib64 ; rm -rf libsqlrserver.so.5 )
( cd usr/lib64 ; ln -sf libsqlrserver.so.5.0.0 libsqlrserver.so.5 )
( cd usr/lib64 ; rm -rf libmysql50sqlrelay.so.4 )
( cd usr/lib64 ; ln -sf libmysql50sqlrelay.so.4.0.0 libmysql50sqlrelay.so.4 )
( cd usr/lib64 ; rm -rf libmysql51sqlrelay.so.4 )
( cd usr/lib64 ; ln -sf libmysql51sqlrelay.so.4.0.0 libmysql51sqlrelay.so.4 )
( cd usr/lib64 ; rm -rf libsqlrclientwrapper.so )
( cd usr/lib64 ; ln -sf libsqlrclientwrapper.so.4.0.0 libsqlrclientwrapper.so )
( cd usr/lib64 ; rm -rf libpqsqlrelay.so.4 )
( cd usr/lib64 ; ln -sf libpqsqlrelay.so.4.0.0 libpqsqlrelay.so.4 )
( cd usr/lib64 ; rm -rf libsqlrodbc.so.4 )
( cd usr/lib64 ; ln -sf libsqlrodbc.so.4.0.0 libsqlrodbc.so.4 )
( cd usr/lib64 ; rm -rf libmysql40sqlrelay.so.4 )
( cd usr/lib64 ; ln -sf libmysql40sqlrelay.so.4.0.0 libmysql40sqlrelay.so.4 )
